/**********************	7 Segment Driver MAX7219 ************************/
// Definitions
// 1. Display type
//#define	COMMON_ANODE		// not implemented
#define		COMMON_CATHODE

// 2. Pin-Declarations
sbit	DISCLK = P1^7;
sbit	DISDAT = P1^5;
sbit	DISSTB = P1^4;

// 3. Segment-Order
#define	_A	0x10		//   - A - 
#define _B	0x01		// |       |
#define _C	0x08		// F       B
#define _D	0x02		// |       |
#define	_E	0x40		//   - G - 
#define	_F	0x20		// |       |
#define	_G	0x04		// E       C
#define	_DP	0x80		// |       |
				//   - D -   P
#define DPBIT 	7

// 4. Digit-Order
#define DIGITS	6, 8, 2, 4, 3, 7, 5, 1


void displaywrite( uint );
void displaydark( void );
void displaybright( void );
void displayinit( void );
void displayout( void );


extern uchar idata displaymem[];

#define CHAR_SPACE      16
#define CHAR_MINUS      17
#define CHAR_GRAD       18
#define CHAR_C2		19
#define CHAR_R		20
#define CHAR_O		21
